{% extends 'layouts/base.html' %}

{% block title %} 網頁標題 {% endblock %}

{% block meta_description %}
  本網頁說明
{% endblock %}

{% block body %}
<main role="main">
  <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">標題</th>
        <th scope="col">時間</th>
      </tr>
    </thead>
    <tbody>
      {% for idx, article in news %}
      <tr>
        <th scope="row">{{ idx + 1 }}</th>
        <td><a href="{{ url_for('news.news_detail', id=article.id) }}">{{article.title}}</a></td>
        <td>{{ article.publish_on }}</td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
</main>
{% endblock %}
